Korišćenje druge php verzije u terminalu

  1. Početna
  2. cPanel
  3. Korišćenje druge php verzije u terminalu

PHP-CLI koristi sistemske vrednosti kao i sistemsku verziju koja verovatno nije ona koju tražite pa stoga dobijate neke greške. Kako bi ste koristili druge php verzije u terminalu u cpanelu morate da ukucate ea-phpXX gde je XX php verzija.

Recimo kada kucamo

php -v
PHP 7.3.28 (cli) (built: May 12 2021 17:08:25) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.3.28, Copyright (c) 1998-2018 Zend Technologies
    with the ionCube PHP Loader + ionCube24 v10.4.5, Copyright (c) 2002-2020, by ionCube Ltd.

A ukoliko trebamo veću verziju kucamo

ea-php74 -v
PHP 7.4.19 (cli) (built: May 12 2021 13:11:42) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
    with the ionCube PHP Loader + ionCube24 v10.4.5, Copyright (c) 2002-2020, by ionCube Ltd.

Time je omogućeno korišćenje željene php verzije.

Djordje
Share